package com.tencent.qcloud.tuikit.tuiconversation.interfaces;

import com.tencent.qcloud.tuikit.tuiconversation.bean.ConversationInfo;

import java.util.List;

public interface IConversationListAdapter {

    void onLoadingStateChanged(boolean isLoading);

    void onDataSourceChanged(List<ConversationInfo> conversationInfoList);

    void onViewNeedRefresh();

    void onItemRemoved(int position);

    default void onItemMoved(int fromPosition, int toPosition) {}

    void onItemInserted(int position);

    void onItemChanged(int position);

    void onItemRangeChanged(int startPosition, int count);

    void onConversationChanged(List<ConversationInfo> conversationInfoList);
}
